WordPress.org

Support

Support » Plugins and Hacks » [Resolved] [Plugin: Google Analyticator] Error in Settings – open_basedir restriction in effect.

[Resolved] [Plugin: Google Analyticator] Error in Settings – open_basedir restriction in effect.

  • jcallahan
    Member

    @jcallahan

    My host doesn’t allow access to the main /tmp folder from scripts. It seems the Google API code is trying to store files there. Can this be changed to only use the plugin subdirectory?

    I get 4 of these errors on the settings page:
    “Warning: file_exists(): open_basedir restriction in effect.”

    The file it is trying to reference is within the “/tmp” directory. The error originates on lines 37 and 96 of the Google_FileCache.php file, but the errors display right above the site list on the settings page.

    Like I alluded to initially, since I can’t change what my host allows I would like to have the temp info stored within the plugin directory. Of course, I’m open to any options that I might have to correct the issue on my side.

    http://wordpress.org/extend/plugins/google-analyticator/

Viewing 1 replies (of 1 total)
  • Video User Manuals
    Participant

    @videousermanuals

    Hi, sorry to hear this.

    As this is part of the Google API – it would be considerable work for us to change this – and something we can’t commit to right now.

    Sorry, Ben

Viewing 1 replies (of 1 total)
  • The topic ‘[Resolved] [Plugin: Google Analyticator] Error in Settings – open_basedir restriction in effect.’ is closed to new replies.